# Method: accounts.listSubscribers

- [HTTP request](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listSubscribers#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listSubscribers#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listSubscribers#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listSubscribers#body.request_body)
- [Response body](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listSubscribers#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listSubscribers#body.aspect)
- [Try it!](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts/listSubscribers#try-it)

Lists service accounts with subscriber privileges on the Pub/Sub topic created for this Channel Services account or integrator.

Possible error codes:

- PERMISSION_DENIED: The reseller account making the request and the provided reseller account are different, or the impersonated user is not a super admin.
- INVALID_ARGUMENT: Required request parameters are missing or invalid.
- NOT_FOUND: The topic resource doesn't exist.
- INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support.
- UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support.

Return value: A list of service email addresses.

### HTTP request

`GET https://cloudchannel.googleapis.com/v1/{account=accounts/*}:listSubscribers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `account` | `string` Optional. Resource name of the account. Required if integrator is not provided. Otherwise, leave this field empty/unset. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of service accounts to return. The service may return fewer than this value. If unspecified, returns at most 100 service accounts. The maximum value is 1000; the server will coerce values above 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `accounts.listSubscribers` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `accounts.listSubscribers` must match the call that provided the page token. |
| `integrator` | `string` Optional. Resource name of the integrator. Required if account is not provided. Otherwise, leave this field empty/unset. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/channel/docs/reference/rest/v1/ListSubscribersResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.order`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).